// define.h
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> DEFINE.H </h3>
  	Version	1.0
  	Revision	$Revision: 1.4 $
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de 
  	Datum		$Date: 2011/08/16 20:45:08 $

	<h3>Globale Datenstrukturen </h3>

/*----------------------------------------------------------------------*/

#ifndef DEFINE_H
#define DEFINE_H

/*----------------------------------------------------------------------*/
// Defintionen
/*----------------------------------------------------------------------*/
#define ROW_MAX		9		//!< Maximale Anzahl Reihen


#define F_CPU 			8000000 
#define USART_BAUD_RATE 	9600 
#define USART_BAUD_SELECT 	(F_CPU/(USART_BAUD_RATE*16L)-1)

#define RANDOM_DISPLAY  //!< LED's werden zufallsgesteuert eingeschaltet
#ifdef RANDOM_DISPLAY
	//#define REBUILD_DISPLAY_EVERY_SEC	//!< Jede Sekunde wird die ganze Anzeige durchgewrfelt
	#define STD_WORKTIME	0		//!< REBUILD DISPLAY STARTET DIREKT NACH DEM Einschalten 
	//#define STD_WORKTIME	27000	//!< REBUILD DISPLAY STARTET ERST NACH 7h+0.5h Pause in seconds
#endif
/*----------------------------------------------------------------------*/
// Definition der Strukturen
/*----------------------------------------------------------------------*/

// Struktur mit den Bit-Informationen zu den einzelnen Ziffern
struct bitfield_format {
	uint16_t	reg;		//!< Bitregister der LED's fr jede Ziffer
	uint8_t		bit_cnt;	//!< Bitzhler wieviele LED's aktiv sind
	uint8_t		type;		//!< Type = 9 oder 6 LED-Feld
	uint8_t		row_base;	//!< Basis-Row fr die Ausgabe
};	



// Zeitstruktur
struct time_format {
	uint8_t		seconds;	//!< Sekunden
	uint8_t		minutes;	//!< Minuten
	uint8_t		hours;		//!< Stunden
	uint8_t		dcf_set;	//!< Flag, das DCF Zeit aktualisiert hat	
};



#endif
