// display.h
/*----------------------------------------------------------------------*/
/*! \file 
--------------------------------------------------------------------------

  	<h3> DISPLAY.H </h3>
  	Version	1.0
  	Revision	$Revision: 1.3 $
 	Copyright 	Thomas Wedemeyer, Email: avr@thomas-wedemeyer.de 
  	Datum		$Date: 2011/08/14 21:32:07 $

	<h3>Prototypen fr die Display-Funktionen </h3>

/*----------------------------------------------------------------------*/
// Headerfile fr die Display-Funktionen

#include "define.h"

#ifndef DISPLAY_H
#define DISPLAY_H

/*----------------------------------------------------------------------*/
// Prototypendeklaration:
/*----------------------------------------------------------------------*/

// Ummappen vom einfachen Bitfield auf das Row-Array
void bitfield2rows(uint16_t bitfield,
					uint8_t	base_row,
					uint8_t	type);

// Setzen von LEDs im Ziffern-Bitfeldes 
void set_bitfield(uint8_t time,	struct bitfield_format *fielddata);

		
void init_bitfields();


// Setzen der LEDs einer Spalte
// @param col	Aktuelle Spalte
void set_col(uint8_t col);

// Ausgabe-Funktion fr die LED-Matrix
void refresh_output(void);
 
/*----------------------------------------------------------------------*/
//! Zurcksetzen der Ziffern-Bitfelder
//! \brief	Diese Funktion setzt die der Zeit entsprechende Anzahl 
/*----------------------------------------------------------------------*/
void zero_bitfield(void);
#endif
